--- sigsegv.c	2008-08-03 16:37:21.000000000 +0200
+++ sigsegv.c.new	2009-02-05 19:19:05.000000000 +0100
@@ -92,7 +92,13 @@
     a2j_error("info.si_code  = %d (%s)", info->si_code, si_codes[info->si_code]);
     a2j_error("info.si_addr  = %p", info->si_addr);
     for(i = 0; i < NGREG; i++)
-        a2j_error("reg[%02d]       = 0x" REGFORMAT, i, ucontext->uc_mcontext.gregs[i]);
+        a2j_error("reg[%02d]       = 0x" REGFORMAT, i, 
+#if defined(__powerpc__)
+                ucontext->uc_mcontext.uc_regs
+#else
+                ucontext->uc_mcontext.gregs[i]
+#endif
+                 );
 
 #if defined(SIGSEGV_STACK_X86) || defined(SIGSEGV_STACK_IA64)
 # if defined(SIGSEGV_STACK_IA64)
